package xugu

import (
	"fmt"
	"net"
	"os"
	"testing"
)

func GetConn() (xgConn *xuguConn) {
	conn, err := net.Dial("tcp", "10.28.20.101:5190")
	if err != nil {
		fmt.Println("Error connecting:", err)
		os.Exit(1)
	}

	// 发送消息到服务器
	message := "login   database = 'SYSTEM' user = 'SYSDBA'  password = 'SYSDBA' version='201' "
	_, err = conn.Write([]byte(message))
	if err != nil {
		fmt.Println("Error writing to server:", err)
		return nil
	}

	fmt.Println("Message sent:", message)

	// 接收服务器的返回消息
	buffer := make([]byte, 1024)
	n, err := conn.Read(buffer)
	if err != nil {
		fmt.Println("Error reading from server:", err)
		return nil
	}
	fmt.Println("Message from server:", string(buffer[:n]))
	xgConn = &xuguConn{conn: conn}
	return
}
func TestXugu_GetConnection(t *testing.T) {
	xgConn := GetConn()
	SockSendCommand0(xgConn, "select * from gotest")
	///	parseResponse(conn)
	// 接收服务器的返回消息
	buffer := make([]byte, 1024)
	n, err := xgConn.conn.Read(buffer)
	if err != nil {
		fmt.Println("Error reading from server:", err)
		return
	}
	//fmt.Println("Message from server:", (buffer[:n]))
	fmt.Println("Message from server:", string(buffer[:n]))
	fmt.Println("end")

}
